diff -Nru ddccontrol-0.4.4/debian/changelog ddccontrol-0.4.4/debian/changelog
--- ddccontrol-0.4.4/debian/changelog	2020-12-31 06:51:18.000000000 +0200
+++ ddccontrol-0.4.4/debian/changelog	2021-02-05 17:11:39.000000000 +0200
@@ -1,3 +1,11 @@
+ddccontrol (0.4.4-1.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix FTBFS with glibc 2.30+ due to sys/io.h removal on armel/armhf.
+    (Closes: #979283)
+
+ -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 17:11:39 +0200
+
 ddccontrol (0.4.4-1.1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -Nru ddccontrol-0.4.4/debian/patches/0001-Build-intel810.c-and-sis.c-only-when-sys-io.h-is-ava.patch ddccontrol-0.4.4/debian/patches/0001-Build-intel810.c-and-sis.c-only-when-sys-io.h-is-ava.patch
--- ddccontrol-0.4.4/debian/patches/0001-Build-intel810.c-and-sis.c-only-when-sys-io.h-is-ava.patch	1970-01-01 02:00:00.000000000 +0200
+++ ddccontrol-0.4.4/debian/patches/0001-Build-intel810.c-and-sis.c-only-when-sys-io.h-is-ava.patch	2021-02-05 17:11:13.000000000 +0200
@@ -0,0 +1,84 @@
+From 7503ed47a9a1b88d16de37d151cea29397929a09 Mon Sep 17 00:00:00 2001
+From: Adrian Bunk <bunk@debian.org>
+Date: Thu, 4 Feb 2021 16:39:15 +0200
+Subject: Build intel810.c and sis.c only when sys/io.h is available
+
+Fixes #88
+---
+ configure.ac           |  3 +++
+ src/ddcpci/Makefile.am |  6 +++++-
+ src/ddcpci/main.c      | 10 ++++++++--
+ 3 files changed, 16 insertions(+), 3 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index ca0843a..2e7a83c 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -121,6 +121,9 @@ fi
+ 
+ AC_SUBST([DDCPCI])
+ 
++AC_CHECK_HEADERS([sys/io.h])
++AM_CONDITIONAL(HAVE_SYS_IO, [test x$ac_cv_header_sys_io_h = xyes])
++
+ # AMD ADL support check
+ support_amdadl=
+ AC_ARG_ENABLE(amdadl,
+diff --git a/src/ddcpci/Makefile.am b/src/ddcpci/Makefile.am
+index 29c0823..ba34c52 100644
+--- a/src/ddcpci/Makefile.am
++++ b/src/ddcpci/Makefile.am
+@@ -4,7 +4,11 @@ AM_CPPFLAGS = -I$(top_srcdir)/src -I$(top_srcdir)/src/lib  -DLOCALEDIR=\"$(local
+ pkglibexec_PROGRAMS = ddcpci
+ 
+ ddcpci_LDFLAGS = -Wl,-z,now
+-ddcpci_SOURCES = main.c nvidia.c radeon.c i2c-algo-bit.c intel810.c ddcpci.h i2c-algo-bit.h via.c sis.c
++ddcpci_SOURCES = main.c nvidia.c radeon.c i2c-algo-bit.c ddcpci.h i2c-algo-bit.h via.c
++
++if HAVE_SYS_IO
++ddcpci_SOURCES += intel810.c sis.c
++endif
+ 
+ EXTRA_DIST = intel740.c
+ 
+diff --git a/src/ddcpci/main.c b/src/ddcpci/main.c
+index 132dea3..27fe91d 100644
+--- a/src/ddcpci/main.c
++++ b/src/ddcpci/main.c
+@@ -17,6 +17,8 @@
+     Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+ */
+ 
++#include <config.h>
++
+ #include <stdio.h>
+ #include <unistd.h>
+ #include <stdlib.h>
+@@ -39,18 +41,22 @@
+ card_open cards_open[] = {
+ 	&nvidia_open,
+ 	&radeon_open,
+-	&i810_open,
+ 	&via_open,
++#ifdef HAVE_SYS_IO_H
++	&i810_open,
+ 	&sis_open,
++#endif
+ 	NULL
+ };
+ 
+ card_close cards_close[] = {
+ 	&nvidia_close,
+ 	&radeon_close,
+-	&i810_close,
+ 	&via_close,
++#ifdef HAVE_SYS_IO_H
++	&i810_close,
+ 	&sis_close,
++#endif
+ 	NULL
+ };
+ /* end of card list */
+-- 
+2.20.1
+
diff -Nru ddccontrol-0.4.4/debian/patches/series ddccontrol-0.4.4/debian/patches/series
--- ddccontrol-0.4.4/debian/patches/series	2020-12-31 06:47:14.000000000 +0200
+++ ddccontrol-0.4.4/debian/patches/series	2021-02-05 17:11:34.000000000 +0200
@@ -1,3 +1,4 @@
 0001-use-pkexec-for-gddccontrol.patch
 0002-load-i2c-dev-module-at-boot.patch
 fix-FTBFS-with-GCC-10.patch
+0001-Build-intel810.c-and-sis.c-only-when-sys-io.h-is-ava.patch
